# Uses of Interface
org.apache.solr.common.util.ValidatingJsonMap.PredicateWithErrMsg

Packages that use ValidatingJsonMap.PredicateWithErrMsg
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of ValidatingJsonMap.PredicateWithErrMsg in org.apache.solr.common.util

Fields in org.apache.solr.common.util declared as ValidatingJsonMap.PredicateWithErrMsg
Modifier and Type
Field
Description
`static final ValidatingJsonMap.PredicateWithErrMsg<Pair>`
ValidatingJsonMap.`ENUM_OF`
`static final ValidatingJsonMap.PredicateWithErrMsg<Object>`
ValidatingJsonMap.`NOT_NULL`
Methods in org.apache.solr.common.util with parameters of type ValidatingJsonMap.PredicateWithErrMsg
Modifier and Type
Method
Description
`Object`
ValidatingJsonMap.`get(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`Object`
ValidatingJsonMap.`get(String key, ValidatingJsonMap.PredicateWithErrMsg<Pair> predicate, Object arg)`
`List`
ValidatingJsonMap.`getList(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`List`
ValidatingJsonMap.`getList(String key, ValidatingJsonMap.PredicateWithErrMsg predicate, Object test)`
`ValidatingJsonMap`
ValidatingJsonMap.`getMap(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`ValidatingJsonMap`
ValidatingJsonMap.`getMap(String key, ValidatingJsonMap.PredicateWithErrMsg predicate, String message)`